<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tarefas"></ion-back-button>
    </ion-buttons>
    <ion-title>{{pagetitle}}</ion-title>
    <app-logout-button
      slot="end"
      menu="main-menu"
    ></app-logout-button>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form
    [formGroup]="tarefasForm"
    (submit)="onSubmit()"
  >
    <ion-item>
      <ion-icon
        name="paper"
        slot="start"
        color="primary"
      ></ion-icon>
      <ion-input
        type="text"
        placeholder="Titulo"
        autofocus="true"
        inputmode="text"
        formControlName="title"
      >
      </ion-input>
      <ion-toggle
        *ngIf="tarefaID"
        slot="end"
        color="primary"
        formControlName="done"
      ></ion-toggle>
    </ion-item>
    <ion-button
      expand="full"
      type="submit"
      [disabled]="tarefasForm.invalid"
    >
      Salvar
    </ion-button>
  </form>
</ion-content>
